Ponder.registry((event) => {
	event.create("minecraft:charcoal")
		.scene("kubejs:charcoal_1", "木炭坑的搭建", (scene, utils) => {
			//第一步
			scene.addKeyframe()
			scene.configureBasePlate(0, 0, 5)
			scene.showStructure(0)
			scene.idle(10)
			scene.world.setBlocks([2, 1, 2], "tfc:rock/raw/andesite")
			scene.world.showSection([2, 1, 2], Direction.DOWN)
			scene.idle(15)
			scene.text(60, "对于搭建木炭坑来说，类似的天然岩石很适合。", [2.5, 1, 2.5])
			//第二步
			scene.idle(60)
			scene.world.setBlocks([2, 1, 3], "tfc:rock/raw/andesite")
			scene.world.showSection([2, 1, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([3, 1, 3], "tfc:rock/raw/andesite")
			scene.world.showSection([3, 1, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 1, 3], "tfc:rock/raw/andesite")
			scene.world.showSection([1, 1, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 1, 2], "tfc:rock/raw/andesite")
			scene.world.showSection([2, 1, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([3, 1, 2], "tfc:rock/raw/andesite")
			scene.world.showSection([3, 1, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 1, 2], "tfc:rock/raw/andesite")
			scene.world.showSection([1, 1, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 1, 1], "tfc:rock/raw/andesite")
			scene.world.showSection([2, 1, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([3, 1, 1], "tfc:rock/raw/andesite")
			scene.world.showSection([3, 1, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 1, 1], "tfc:rock/raw/andesite")
			scene.world.showSection([1, 1, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 2, 1], "tfc:rock/raw/andesite")
			scene.world.showSection([2, 2, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 2, 3], "tfc:rock/raw/andesite")
			scene.world.showSection([2, 2, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 2, 2], "tfc:rock/raw/andesite")
			scene.world.showSection([1, 2, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([3, 2, 2], "tfc:rock/raw/andesite")
			scene.world.showSection([3, 2, 2], Direction.DOWN)
			scene.idle(2)
			scene.text(40, "好了，往这样的一个坑中填上足量木炭，随后点火", [2.5, 3, 2.5])
			scene.idle(40)
			scene.showControls(80, [2.5, 3, 2.5], "DOWN")
				.rightClick()
				.withItem("minecraft:charcoal")
			scene.idle(15)
			//第三步
			scene.world.setBlocks([2, 2, 2], "tfc:charcoal_pile")
			//scene.world.setBlocks([0, 1, 0], "tfc:charcoal_pile")
			scene.world.showSection([2, 2, 2], Direction.DOWN)
			//scene.world.showSection([0, 1, 0], Direction.DOWN)
			scene.text(60, "手持右键八次，八个木炭正好为一格完整方块", [2.5, 3, 2.5])
			scene.idle(15)
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("layers", "1"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("layers", "2"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("layers", "3"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("layers", "4"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("layers", "5"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("layers", "6"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("layers", "7"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("layers", "8"), true)
			scene.idle(10)
			scene.showControls(25, [2.5, 3, 2.5], "DOWN")
				.rightClick()
				.withItem("minecraft:flint_and_steel")
			scene.idle(10)
			scene.world.setBlocks([2, 2, 2], "tfc:charcoal_forge")
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("heat_level", "5"), false)
			scene.idle(10)
			scene.text(60, "看到这样的火光便意味着你成功搭建了木炭炉", [2.5, 3, 2.5])
			scene.idle(60)
		})
		.scene("kubejs:charcoal_2", "选材", (scene, utils) => {
			//第一步
			scene.addKeyframe()
			scene.configureBasePlate(0, 0, 5)
			scene.showStructure(0)
			scene.idle(10)
			scene.world.setBlocks([2, 1, 2], "tfc:rock/raw/andesite")
			scene.world.showSection([2, 1, 2], Direction.DOWN)
			scene.idle(15)
			scene.text(60, "...不需要纠结这是什么石头，可选项很多。", [2.5, 1, 2.5])
			scene.idle(60)
			//第二步
			scene.world.setBlocks([2, 1, 0], "tfc:rock/raw/chalk")
			scene.world.showSection([2, 1, 0], Direction.DOWN)
			scene.idle(5)
			scene.world.setBlocks([2, 1, 4], "tfc:mud/loam")
			scene.world.showSection([2, 1, 4], Direction.DOWN)
			scene.idle(5)
			scene.showControls(130, [2.5, 2.5, 0.5], "DOWN")
				.rightClick()
				.withItem("minecraft:charcoal")
			scene.idle(5)
			scene.showControls(125, [2.5, 2.5, 2.5], "DOWN")
				.rightClick()
				.withItem("minecraft:charcoal")
			scene.idle(5)
			scene.showControls(120, [2.5, 2.5, 4.5], "DOWN")
				.rightClick()
				.withItem("minecraft:charcoal")
			scene.text(120, "可以在方块上尝试放置木炭\n湿润的方块不能放置木炭和搭建木炭炉", [2.5, 1, 2.5])
			scene.idle(60)
			scene.world.setBlocks([2, 2, 0], "tfc:charcoal_pile")
			scene.world.showSection([2, 2, 0], Direction.DOWN)
			scene.world.setBlocks([2, 2, 2], "tfc:charcoal_pile")
			scene.world.showSection([2, 2, 2], Direction.DOWN)
			scene.idle(10)
			scene.world.modifyBlock([2, 2, 0], (state) => state.with("layers", "2"), true)
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("layers", "2"), true)
			scene.idle(10)
			scene.world.modifyBlock([2, 2, 0], (state) => state.with("layers", "3"), true)
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("layers", "3"), true)
			scene.idle(10)
			scene.world.modifyBlock([2, 2, 0], (state) => state.with("layers", "4"), true)
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("layers", "4"), true)
			scene.idle(10)
			scene.world.modifyBlock([2, 2, 0], (state) => state.with("layers", "5"), true)
			scene.world.modifyBlock([2, 2, 2], (state) => state.with("layers", "5"), true)
			scene.idle(30)
			//第三步
			scene.world.setBlocks([2, 2, 0], "tfc:rock/raw/chalk")
			scene.world.showSection([2, 2, 0], Direction.DOWN)
			scene.text(100, "原则上，只要是干燥且不会塌方的方块\n都是搭建木炭炉结构的好材料", [2.5, 1, 0.5])
			scene.idle(20)
			scene.world.setBlocks([2, 3, 0], "tfc:rock/raw/chalk")
			scene.world.showSection([2, 3, 0], Direction.DOWN)
			scene.idle(20)
			scene.world.setBlocks([2, 4, 0], "tfc:rock/raw/chalk")
			scene.world.showSection([2, 4, 0], Direction.DOWN)
			scene.idle(20)
			scene.world.setBlocks([2, 5, 0], "tfc:rock/raw/chalk")
			scene.world.showSection([2, 5, 0], Direction.DOWN)
			scene.idle(20)
			scene.world.setBlocks([2, 6, 0], "tfc:rock/raw/chalk")
			scene.world.showSection([2, 6, 0], Direction.DOWN)
			scene.idle(20)
			scene.world.setBlocks([2, 7, 0], "tfc:rock/raw/chalk")
			scene.world.showSection([2, 7, 0], Direction.DOWN)
			scene.text(40, "...哎！别放了！", [2.5, 1, 0.5])
			scene.idle(20)
			scene.world.setBlocks([2, 8, 0], "tfc:rock/raw/chalk")
			scene.world.showSection([2, 8, 0], Direction.DOWN)
			scene.idle(20)
			scene.world.setBlocks([2, 9, 0], "tfc:rock/raw/chalk")
			scene.world.showSection([2, 9, 0], Direction.DOWN)
			scene.text(60, "...one day day 的", [2.5, 1, 0.5])
			scene.idle(60)
		})
		.scene("kubejs:charcoal_3", "另外", (scene, utils) => {
			//第一步
			scene.addKeyframe()
			scene.configureBasePlate(0, 0, 5)
			scene.showStructure(0)
			scene.idle(10)
			scene.world.setBlocks([0, 1, 0, 4, 1, 4], "tfc:rock/raw/chalk")
			scene.world.showSection([0, 1, 0, 4, 1, 4], Direction.DOWN)
			scene.idle(15)
			scene.text(60, "好吧，很多时候，只需要找一片岩石区...", [2.5, 1, 2.5])
			scene.idle(20)
			//第二步
			scene.showControls(30, [2.5, 2, 2.5], "DOWN")
				.leftClick()
				.withItem("tfc:metal/shovel/wrought_iron")
			scene.idle(15)
			scene.world.setBlocks([2, 1, 2], "minecraft:air")
			scene.idle(20)
			scene.showControls(80, [2.5, 2, 2.5], "DOWN")
				.rightClick()
				.withItem("minecraft:charcoal")
			scene.idle(15)
			scene.world.setBlocks([2, 1, 2], "tfc:charcoal_pile")
			scene.world.showSection([2, 1, 2], Direction.DOWN)
			scene.idle(15)
			scene.world.modifyBlock([2, 1, 2], (state) => state.with("layers", "1"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 1, 2], (state) => state.with("layers", "2"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 1, 2], (state) => state.with("layers", "3"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 1, 2], (state) => state.with("layers", "4"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 1, 2], (state) => state.with("layers", "5"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 1, 2], (state) => state.with("layers", "6"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 1, 2], (state) => state.with("layers", "7"), true)
			scene.idle(6)
			scene.world.modifyBlock([2, 1, 2], (state) => state.with("layers", "8"), true)
			scene.idle(10)
			scene.showControls(25, [2.5, 2, 2.5], "DOWN")
				.rightClick()
				.withItem("minecraft:flint_and_steel")
			scene.idle(10)
			scene.world.setBlocks([2, 1, 2], "tfc:charcoal_forge")
			scene.world.modifyBlock([2, 1, 2], (state) => state.with("heat_level", "5"), false)
			scene.idle(10)
			scene.text(60, "...原地向下挖一格，木炭炉就成了", [2.5, 1, 2.5])
			scene.idle(60)
		})
})